edu.isi.pegasus.planner.refiner.cleanup

## Class CleanupJobContent

- java.lang.Object
- - edu.isi.pegasus.planner.refiner.cleanup.CleanupJobContent

All Implemented Interfaces:
  GraphNodeContent

    class CleanupJobContent
    extends java.lang.Object
    implements GraphNodeContent

A container class that is used to hold the contents for a cleanup job

Author:
  vahi

### Field Summary

Fields
`private GraphNode` `mNode` The graph cleanupNode object for the associated job whose files are being deleted.
`private java.util.List<PegasusFile>` `mToBeDeletedFiles` The list of files that need to be deleted and are associated with this job.

### Constructor Summary

Constructors
Constructor and Description
`CleanupJobContent(GraphNode node, java.util.List<PegasusFile> files)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<PegasusFile>` `getListOfFilesToDelete()` Returns the list of files to be deleted for a cleanupNode
`GraphNode` `getNode()` Returns the associated cleanupNode for which the files are deleted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### mNode

    private GraphNode mNode

The graph cleanupNode object for the associated job whose files are being deleted. can be a compute or a stageout job.

#### mToBeDeletedFiles

    private java.util.List<PegasusFile> mToBeDeletedFiles

The list of files that need to be deleted and are associated with this job.

### Constructor Detail

#### CleanupJobContent

    public CleanupJobContent(GraphNode node,
                             java.util.List<PegasusFile> files)

Parameters:
  `cleanupNode` -
  `files` -

### Method Detail

#### getListOfFilesToDelete

    public java.util.List<PegasusFile> getListOfFilesToDelete()

Returns the list of files to be deleted for a cleanupNode

Returns:

#### getNode

    public GraphNode getNode()

Returns the associated cleanupNode for which the files are deleted.

Returns: